// bander_ctf.shader written/modified by Jason 'Bander' Nordenstam	//
// uses id textures and modified shaders				//

textures/bander_ctf/liquid
{
	qer_editorimage textures/bander_ctf/liquid.tga
	qer_trans .5

	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	
}


textures/bander_ctf/blocks17_ow_blue
{
	qer_editorimage textures/gothic_block/blocks17_ow.tga
	q3map_lightimage textures/bander_ctf/bluetest.tga
	q3map_surfacelight 256
	{
		map textures/sfx/fire_ctfblue.tga
		rgbGen identity
		tcMod scroll 0 1
		tcMod turb 0 0.25 0 5
		tcMod scale 1.5 1.5
	}
	{
		map textures/gothic_block/blocks17_ow.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/bander_ctf/blocks17_ow_red
{
	qer_editorimage textures/gothic_block/blocks17_ow.tga
	q3map_lightimage textures/bander_ctf/redtest.tga
	q3map_surfacelight 256
	{
		map textures/sfx/fire_ctfred.tga
		rgbGen identity
		tcMod scroll 0 1
		tcMod turb 0 0.25 0 5
		tcMod scale 1.5 1.5
	}
	{
		map textures/gothic_block/blocks17_ow.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/bander_ctf/largerblock3b_ow_red
{
	qer_editorimage textures/gothic_floor/largerblock3b_ow.tga
	q3map_lightimage textures/bander_ctf/redtest.tga
	q3map_surfacelight 256
	{
		map textures/sfx/fire_ctfred.tga
		rgbGen identity
		tcMod scroll 0 1
		tcMod turb 0 0.25 0 5
		tcMod scale 1.5 1.5
	}
	{
		map textures/gothic_floor/largerblock3b_ow.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/bander_ctf/largerblock3b_ow_blue
{
	qer_editorimage textures/gothic_floor/largerblock3b_ow.tga
	q3map_lightimage textures/bander_ctf/bluetest.tga
	q3map_surfacelight 256
	{
		map textures/sfx/fire_ctfblue.tga
		rgbGen identity
		tcMod scroll 0 1
		tcMod turb 0 0.25 0 5
		tcMod scale 1.5 1.5
	}
	{
		map textures/gothic_floor/largerblock3b_ow.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}


textures/bander_ctf/fog_ctfblue
{
	qer_editorimage textures/sfx/fog_blue.tga
	
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nolightmap
	q3map_globaltexture
	fogparms ( 0.1 0.1 0.3 ) 196

	q3map_surfacelight 64
	
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/bander_ctf/fog_ctfred
{
	qer_editorimage textures/sfx/fog_red.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nolightmap
	q3map_globaltexture
	fogparms ( 0.3 0.1 0.1 ) 196

	q3map_surfacelight 64
	
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}


//****************
// Skies 
//****************

// modified hellsky2
textures/bander_ctf/banctf1sky
{
	qer_editorimage textures/skies/dimclouds.tga

	//	q3map_sun .9 .9 1 70 65 78
	q3map_sunExt 229 229 255 128 65 78 3 16
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 64 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	skyparms - 512 -
	{
		map textures/skies/dimclouds.tga
		tcMod scroll 0.02 0
		tcMod scale 1 1
		depthWrite
	}
	{
		map textures/skies/dimclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.02 0.01
		tcMod scale 3 3
	}

}

// modified xtoxicsky_dm9
textures/bander_ctf/banctf2sky
{
	q3map_lightimage textures/skies/toxicsky.tga
	qer_editorimage textures/skies/inteldimredclouds.tga
	
	// 	q3map_sun	1 1 0.5 150	30 60
	q3map_sunExt 255 255 127 150 30 60 3 16
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 64 3
	
	skyparms - 512 -

	{
		map textures/skies/inteldimclouds.tga
		tcMod scroll 0.1 0.1
		tcMod scale 3 2
		depthWrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.05
		tcMod scale 3 3
	}
}


// modified kc_dm10sky
textures/bander_ctf/banctf3sky
{
	qer_editorimage textures/skies/bluetopclouds.tga
		
	//	q3map_sun	.5 .6 .8 90 225 55
	q3map_sunExt 127 153 204 90 225 55 3 16
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 64 3

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms - 512 -

	{
		map textures/skies/bluedimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
	}
	{
		map textures/skies/topclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}


}